import 'payment.dart';
import 'package:json_annotation/json_annotation.dart';

part 'payments.g.dart';

@JsonSerializable()
class PaymentMethodListDTO {
  PaymentMethodListDTO({required this.paymentMethods});

  final List<PaymentMethodDTO> paymentMethods;

  factory PaymentMethodListDTO.fromJson(Map<String, dynamic> json) => _$PaymentMethodListDTOFromJson(json);
  Map<dynamic, dynamic> toJson() => _$PaymentMethodListDTOToJson(this);
}